package com.malk.shantai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.malk.server.common.McR;
import com.malk.shantai.entity.Shantai;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.net.MalformedURLException;
import java.util.Map;

public interface StDingProcService extends IService<Shantai> {

    void fkdSync(String procInstId);

    /**
     * 同步评论
     * @param map
     * @return
     */
    McR commentSync(Map map,String flowId);

    /**
     * 根据单据id获取单据信息
     * @param flowId
     * @return
     */
    Map getFlowInfo(String flowId);

    void downloadNet(String netUrl, String path);

    void commentSyncAll();

}
